ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Attributes | List of all members
ome::files::PixelProperties< ::ome::xml::model::enums::PixelType::DOUBLECOMPLEX > Struct Template Reference

Properties of DOUBLECOMPLEX pixels. More...

`#include <ome/files/PixelProperties.h>`

Inheritance diagram for ome::files::PixelProperties< ::ome::xml::model::enums::PixelType::DOUBLECOMPLEX >:
[legend]
Collaboration diagram for ome::files::PixelProperties< ::ome::xml::model::enums::PixelType::DOUBLECOMPLEX >:
[legend]

## Public Types
typedef std::complex< double > | std_type
| Pixel type (standard language type).
typedef std::complex< boost::endian::big_float64_t > | big_type
| Pixel type (big endian).
typedef std::complex< boost::endian::little_float64_t > | little_type
| Pixel type (little endian).
typedef std::complex< boost::endian::native_float64_t > | native_type
| Pixel type (native endian).

## Static Public Attributes
static const bool | is_signed = true
| This pixel type is signed.
static const bool | is_integer = false
| This pixel type is not integer.
static const bool | is_complex = true
| This pixel type is complex.

## Additional Inherited Members
Static Public Member Functions inherited from ome::files::PixelPropertiesBase< PixelProperties< ::ome::xml::model::enums::PixelType::DOUBLECOMPLEX > >
static pixel_size_type | pixel_byte_size ()
| Get size of pixel type, in bytes. More...
static pixel_size_type | pixel_bit_size ()
| Get size of pixel type, in bits. More...
static pixel_size_type | pixel_significant_bit_size ()
| Get significant (maximum bits used) size of pixel type, in bits. More...

## Detailed Description

### template<>
struct ome::files::PixelProperties< ::ome::xml::model::enums::PixelType::DOUBLECOMPLEX >

Properties of DOUBLECOMPLEX pixels.

The documentation for this struct was generated from the following file:

- ome/files/PixelProperties.h